## eslint 5.0.1~dfsg

=== debian/changelog ===
eslint (5.0.1~dfsg-4build3) focal; urgency=medium

  * Rebuild against new bootstrapped eslint.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 08 Apr 2020 11:45:42 +0200

eslint (5.0.1~dfsg-4build2) focal; urgency=medium

  * No change rebuild against bootstrapped eslint reverse deps

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 07 Apr 2020 21:56:06 +0200

eslint (5.0.1~dfsg-4) unstable; urgency=medium

  * fix add DEP-3 patch headers
  * add patches cherry-picked upstream to modernize some rules

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 28 Mar 2020 04:51:48 +0100

eslint (5.0.1~dfsg-3) unstable; urgency=medium

  * use helper script tap-todo to tolerate only specific failing tests
  * add autopkgtest
  * add patches cherry-picked upstream to use eslintrc overrides
  * enable internal rules for testing;
    add patch 2004 to avoid Node module eslint-rule-composer;
    drop patch 2009
  * copyright: extend coverage

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 27 Mar 2020 21:42:30 +0100

eslint (5.0.1~dfsg-2) unstable; urgency=medium

  * replace patch 2001 to minimally implement function matchAll()
    (not drop rules using it)

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Mar 2020 14:07:00 +0100

eslint (5.0.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * unfuzz patches
  * add patch cherry-picked upstream to support recent nodejs
  * add patch 2001 to avoid use of node module string.prototype.matchall
  * re-enable rules test now working
  * override lintian for 1 more unusually long code line

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Mar 2020 05:42:35 +0100

eslint (4.19.1~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * avoid rules which requires module regexpp not in Debian:
    no-control-regex no-invalid-regexp
  * add patch 2002 to avoid use of node module regexpp
  * update patch 2006
  * drop patch 2001, apparently no longer needed
  * re-enable rules test now working

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 24 Mar 2020 00:44:15 +0100

eslint (4.18.2~dfsg-5) unstable; urgency=medium

  * disable timeout for mocha tests
  * pass options only explicitly to mocha tests

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Mar 2020 22:50:48 +0100

eslint (4.18.2~dfsg-4) unstable; urgency=medium

  * use debhelper compatibility level 12 (not 10);
    build-depend on debhelper-compat (not debhelper)
  * re-enable test rules/keyword-spacing
    (apparently not failing after all)
  * add patches cherry-picked upstream to fix broken rules tests
  * re-enable rules tests now working

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 23 Mar 2020 22:44:27 +0100

eslint (4.18.2~dfsg-3) unstable; urgency=medium

  * skip tests causing newer mocha to fail:
    TypeError: Cannot read property 'create' of undefined
  * stop skip tests now succeeding
  * skip tests now failing
  * add patches cherry-picked upstream to improve indent rule
    and fix some new-major-release-of-acorn issues
  * tolerate failure of known broken tests

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 19 Mar 2020 01:47:55 +0100

eslint (4.18.2~dfsg-2) unstable; urgency=medium

  * fix clean generated docs
  * declare compliance with Debian Policy 4.5.0
  * override lintian for 2 more unusually long code lines

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 18 Mar 2020 16:13:28 +0100

eslint (4.18.2~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream now applied.
  * Drop patches 2005 2007.
    Build-depend on node-eslint-plugin-eslint-plugin
    node-eslint-plugin-node.
  * Update and unfuzz patches.
  * Add patches cherry-picked upstream
    to avoid node modules eslint-rule-composer pluralize.
    Stop suggest node-pluralize.
  * Add patches 2008 2009 to avoid use of node modules
    json-stable-stringify-without-jsonify eslint-plugin-rulesdir.
  * Add patch 2009 to avoid internal-rules during build.
  * (Build-)depend on node-eslint-visitor-keys.
  * Update test environment, eslint test arguments, and tests to check.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2019 18:33:41 +0100

eslint (4.10.0~dfsg-2) experimental; urgency=medium

  * Fix install embedded Node module eslint-config-eslint.
    Provide node-eslint-config-eslint.
  * Update lintian overrides.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 27 Oct 2019 15:07:03 +0100

eslint (4.10.0~dfsg-1) experimental; urgency=medium

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Drop patches cherry-picked upstream now applied.
  * Update and unfuzz patches.
  * (Build-)depend on node-cross-spawn node-functional-red-black-tree.
    Depend (not only build-depend) on node-semver.
  * Update eslint test paths and arguments.
  * Update patches to test.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 24 Oct 2019 15:54:27 +0200

eslint (4.2.0~dfsg-4) experimental; urgency=medium

  * Drop patch 2002.
    (Build-)depend on node-eslint-scope node-mock-fs.
    Enable checking related tests.
  * Drop obsolete lintian override for unversioned debhelper 10.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2019 23:42:42 +0200

eslint (4.2.0~dfsg-3) experimental; urgency=medium

  * Normalize output with TAP where possible unless terse requested.
  * Fix patch 2006: Embed node module natural-compare-lite
    (not different less ASCII-oriented algorithm).
    Enable checking related tests.
  * Add patches cherry-picked upstream:
    + Avoid modifying global state when tests fail.
    + Fix always resolve default ignore patterns from CWD.
  * Update tests to check.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 23 Oct 2019 14:33:53 +0200

eslint (4.2.0~dfsg-2) experimental; urgency=medium

  * Add patches cherry-picked upstream:
    + Chore: move internal rules out of lib/.
    + Docs: add url to each of the rules.

