=== debian/control ===
Source: eslint
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Jonas Smedegaard <dr@jones.dk>,
Build-Depends:
 debhelper-compat (= 12),
 help2man <!nodoc>,
 mocha <!nocheck>,
 node-ajv <!nocheck>,
 node-babel-code-frame <!nocheck>,
 node-chai <!nocheck>,
 node-chalk <!nocheck>,
 node-concat-stream <!nocheck>,
 node-cross-spawn <!nocheck>,
 node-dateformat <!nocheck>,
 node-debug <!nocheck>,
 node-doctrine <!nocheck>,
 node-ejs <!nocheck>,
 node-eslint-plugin-eslint-plugin <!nocheck>,
 node-eslint-plugin-node <!nocheck>,
 node-eslint-scope <!nocheck>,
 node-eslint-visitor-keys <!nocheck>,
 node-espree <!nocheck>,
 node-esprima <!nocheck>,
 node-esquery <!nocheck>,
 node-estraverse <!nocheck>,
 node-esutils <!nocheck>,
 node-file-entry-cache <!nocheck>,
 node-functional-red-black-tree <!nocheck>,
 node-glob <!nocheck>,
 node-globals <!nocheck>,
 node-ignore <!nocheck>,
 node-imurmurhash <!nocheck>,
 node-inquirer <!nocheck>,
 node-js-yaml <!nocheck>,
 node-json-stable-stringify <!nocheck>,
 node-leche <!nocheck>,
 node-levn <!nocheck>,
 node-mkdirp <!nocheck>,
 node-mock-fs <!nocheck>,
 node-optionator <!nocheck>,
 node-path-is-inside <!nocheck>,
 node-progress <!nocheck>,
 node-proxyquire <!nocheck>,
 node-regenerate-unicode-properties <!nocheck>,
 node-semver <!nocheck>,
 node-shelljs <!nocheck>,
 node-sinon <!nocheck>,
 node-strip-ansi <!nocheck>,
 node-strip-json-comments <!nocheck>,
 node-text-table <!nocheck>,
 node-temp <!nocheck>,
 pandoc <!nodoc>,
Standards-Version: 4.5.0
Homepage: https://eslint.org/
Vcs-Browser: https://salsa.debian.org/js-team/eslint
Vcs-Git: https://salsa.debian.org/js-team/eslint.git
Rules-Requires-Root: no

Package: eslint
Architecture: all
Depends:
 node-ajv,
 node-concat-stream,
 node-cross-spawn,
 node-debug,
 node-doctrine,
 node-eslint-visitor-keys,
 node-eslint-scope,
 node-espree,
 node-esquery,
 node-estraverse,
 node-esutils,
 node-file-entry-cache,
 node-functional-red-black-tree,
 node-glob,
 node-globals,
 nodejs,
 node-imurmurhash,
 node-ignore,
 node-json-stable-stringify,
 node-levn,
 node-lodash,
 node-mkdirp,
 node-optionator,
 node-path-is-inside,
 node-progress,
 node-regenerate-unicode-properties,
 node-semver,
 node-strip-json-comments,
 ${misc:Depends},
Recommends:
 node-chalk,
 node-inquirer,
 node-js-yaml,
 node-strip-ansi,
 node-text-table,
Suggests:
 node-babel-code-frame,
 node-babel-eslint,
 node-table,
 node-esprima,
 node-esprima-fb,
Provides:
 node-eslint (= ${source:Version}),
 node-eslint-config-eslint,
Description: AST-based pattern checker for JavaScript
 ESLint is a tool for identifying and reporting on patterns
 found in ECMAScript/JavaScript code.
 In many ways, it is similar to JSLint and JSHint
 with a few exceptions:
 .
  * ESLint uses Espree for JavaScript parsing
  * ESLint uses an AST to evaluate patterns in code
  * ESLint is completely pluggable,
    every single rule is a plugin and you can add more at runtime
 .
 Some uses of ESLint require additional packages:
  * Use of parsers other than the default (Espree) require that parser,
    e.g. node-babel-eslint, node-esprima, or node-esprima-fb.
  * Output format "code-frame" requires node-babel-code-frame.
  * Output format "table" requires node-table and node-pluralize.
