=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# detect if build targets experimental suite (or is a draft)
DEB_SUITE_EXP = $(filter experimental% UNRELEASED,$(DEB_DISTRIBUTION))

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
MANPAGES = debian-man/eslint.1
endif

# normalize output with TAP where possible unless terse requested
ESLINT = bin/eslint.js
MOCHA = mocha --no-timeout
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
ESLINT += --format tap
MOCHA += --reporter tap
else
ESLINT += --format unix
MOCHA += --reporter dot --no-colors
endif

# same paths as "Makefile.js" TEST_FILES
TEST_FILES_MOCHA = $(strip \
 $(addsuffix /**/*.js,\
  $(shell find tests/lib -mindepth 1 -maxdepth 1 -type d) \
  tests/bin) \
 $(addsuffix /*.js,\
  tests/lib))
TEST_FILES_FIND = $(patsubst %/**/*.js,%,$(TEST_FILES_MOCHA))

# Work around missing node module "cheerio"
MOCHA_EXCLUDES += tests/lib/formatters/html.js

# Work around missing node module "table"
MOCHA_EXCLUDES += tests/lib/formatters/table.js

# Work around missing node module "regexpp"
MOCHA_EXCLUDES += \
 tests/lib/rules/no-control-regex.js \
 tests/lib/rules/no-invalid-regexp.js

# Work around newer mocha choking: "TypeError: Cannot read property 'create' of undefined"
MOCHA_EXCLUDES += \
 tests/lib/cli.js \
 tests/lib/cli-engine.js \
 tests/lib/util/source-code.js \

# Work around missing node module "eslint-rule-composer"
ESLINT_EXCLUDES += tests/lib/code-path-analysis/code-path.js
MOCHA_EXCLUDES += tools/internal-rules/multiline-comment-style.js

# Isolate known broken tests for slower isolated checking
MOCHA_BROKEN += \
 tests/lib/config.js \
 tests/lib/config/config-file.js \
 tests/lib/config/config-initializer.js \
 tests/lib/formatters/codeframe.js \
 tests/lib/formatters/stylish.js \
 tests/lib/ignored-paths.js \
 tests/lib/linter.js \
 tests/lib/util/glob-util.js \
 tests/lib/util/npm-util.js \
 tests/lib/util/source-code-util.js

# generate manpage with help2man from --help option of Node.js script
_mkman = NODE_PATH=lib \
 help2man $(patsubst %,--name %,$3) --no-info --output $2 $1 \
 || { NODE_PATH=lib $1 --help; false; }

override_dh_auto_build: $(DOCS) $(CHANGELOGS) $(MANPAGES)

# strip extension from executable
debian-man/eslint:
	mkdir --parents $(dir $@)
	cp --force bin/eslint.js $@

# build manpage
debian-man/eslint.1: %.1: %
	$(call _mkman, $<, $@, \
		AST-based pattern checker and linting utility for JavaScript)

# TODO: drop symlink when possible
override_dh_auto_test:
	ln --force --symbolic --no-target-directory internal-rules \
		tools/eslint-plugin-internal-rules
#	NODE_PATH=packages:tools $(ESLINT) --report-unused-disable-directives Makefile.js
#	find conf -type f -name '*.json' \
#		-exec jsonlint {} +
#	find docs -type f -name '*.md' \
#		-exec lintMarkdown {} +
	NODE_PATH=packages:tools $(strip find lib conf bin -type f -name '*.js' \
		-exec $(ESLINT) --report-unused-disable-directives {} + \
		$(if $(DEB_SUITE_EXP),|| true))
	NODE_PATH=packages:tools $(strip find $(TEST_FILES_FIND) -type f -name '*.js' \
		$(patsubst %,-not -path '%',$(ESLINT_EXCLUDES)) \
		-exec $(ESLINT) --report-unused-disable-directives {} + \
		$(if $(DEB_SUITE_EXP),|| true))
	NODE_PATH=packages:tools $(strip find $(TEST_FILES_FIND) -type f -name '*.js' \
		$(patsubst %,-not -path '%',$(MOCHA_EXCLUDES) $(MOCHA_BROKEN)) \
		-exec $(MOCHA) {} +)
	NODE_PATH=packages:tools $(MOCHA) $(MOCHA_BROKEN) | debian/tap-todo \
		'^Config "before each" hook for "should not modify baseConfig when format is specified"$$' \
		'^Config "after each" hook for "should not modify baseConfig when format is specified"$$' \
		'^ConfigFile write\(\) "before each" hook for "should throw error if file extension is not valid"$$' \
		'^ConfigFile write\(\) "after each" hook for "should throw error if file extension is not valid"$$' \
		'^configInitializer "after each" hook for "should create default config"$$' \
		'^formatter:codeframe "before each" hook for "should return nothing"$$' \
		'^formatter:codeframe "after each" hook for "should return nothing"$$' \
		'^formatter:stylish "before each" hook for "should not return message"$$' \
		'^formatter:stylish "after each" hook for "should not return message"$$' \
		'^IgnoredPaths contains should return false for files outside of the cwd \(with no ignore file provided\)$$' \
		'^Linter "before each" hook for "an error should be thrown when an error occurs inside of an event handler"$$' \
		'^Linter "after each" hook for "an error should be thrown when an error occurs inside of an event handler"$$' \
		'^globUtil listFilesToProcess\(\) should return an ignored file, if ignore option is turned off$$' \
		'^npmUtil "before each" hook for "should not find a direct dependency of the project"$$' \
		'^npmUtil "after each" hook for "should not find a direct dependency of the project"$$' \
		'^SourceCodeUtil "after each" hook for "should handle single string filename arguments"$$'

# avoid installing stray config files
override_dh_install:
	dh_install -X.eslintrc.yml

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

# unset bogus executable bits
execute_after_dh_fixperms:
	chmod --recursive a-x,a+X -- debian/*/usr/share/nodejs
	chmod --recursive a+x -- debian/*/usr/share/nodejs/eslint/bin/*

override_dh_clean:
	dh_clean -- $(DOCS) $(CHANGELOGS)

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

%:
	dh $@
