=== debian/tests/control ===
Test-Command: node -e "require('eslint');"
Depends:
 node-eslint,
Restrictions: superficial

Test-Command:
 NODE_PATH=tools
 find lib conf bin
 tests/lib/util tests/lib/config tests/lib/code-path-analysis tests/lib/formatters tests/lib/testers tests/lib/rules tests/bin tests/lib/*.js
 -type f -name '*.js'
 -not -path tests/lib/code-path-analysis/code-path.js
 -exec eslint --format tap --report-unused-disable-directives {} +
Depends:
 eslint,
