## eslint 5.16.0~dfsg

=== debian/changelog ===
eslint (5.16.0~dfsg-7) unstable; urgency=medium

  * simplify source script copyright-chceck
  * copyright: update coverage
  * use debhelper compatibility level 13 (not 12)

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 21 Aug 2020 17:44:44 +0200

eslint (5.16.0~dfsg-6) unstable; urgency=medium

  * fix have autopkgtest depend on node-babel7
    (not node-babel-code-frame);
    closes: bug#960488, thanks to Xavier Guimard

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 13 May 2020 23:44:00 +0200

eslint (5.16.0~dfsg-5) unstable; urgency=medium

  * drop patch 2001,
    and build-depend on and suggest node-babel7
    (not node-babel-code-frame);
    closes:bug#960095, thanks to Pirate Praveen
  * unfuzz patch 2005

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 09 May 2020 14:09:11 +0200

eslint (5.16.0~dfsg-4) unstable; urgency=medium

  * autopkgtest: fix depend on node-babel-code-frame node-chai
    node-inquirer node-leche node-mock-fs node-proxyquire
    node-shelljs node-sinon node-temp node-text-table

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 23 Apr 2020 00:40:23 +0200

eslint (5.16.0~dfsg-3) unstable; urgency=medium

  * autopkgtest: fix depend on node-eslint-plugin-node
  * fix helper script tap-todo counting,
    and emit error message on failure
  * update patches 1001 2005
  * update workarounds for failing tests

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 22 Apr 2020 20:38:01 +0200

eslint (5.16.0~dfsg-2) unstable; urgency=medium

  * rename patch 2003: avoided module renamed to import-fresh
    (from require-uncached)
  * add patch 2005 to avoid node module cross-spawn
  * stop (build-)depend on node-cross-spawn
  * unfuzz patch 2008
  * fix add symlink hack to autopkgtest
  * update workarounds for failing tests
  * update lintian for unusually long code lines

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 21 Apr 2020 18:28:20 +0200

eslint (5.16.0~dfsg-1) unstable; urgency=medium

  [ upstream ]
  * new release(s)

  [ Jonas Smedegaard ]
  * drop patches cherry-picked upstream now applied;
    drop patch 2001 obsoleted by upstream refactoring
  * add patch cherry-picked upstream to use newer eslint-utils
  * add patch 2001 to downgrade babel-code-frame
  * update patch 2004
  * unfuzz and update patches
  * (build-)depend on node-eslint-utils
  * copyright: strip a generated file when repackaging source
  * tighten to build-depend versioned on node-eslint-plugin-node
  * fix have helper script tap-todo fail if no tests were run
  * update workarounds for failing tests
  * stop tolerate test failure when targeting experimental
  * autopkgtest: fix depend on node-eslint-plugin-eslint-plugin;
    closes: bug#958223, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 20 Apr 2020 17:10:54 +0200
