=== debian/control ===
--- 
+++ 
@@ -5,22 +5,22 @@
 Uploaders:
  Jonas Smedegaard <dr@jones.dk>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  help2man <!nodoc>,
  mocha <!nocheck>,
  node-ajv <!nocheck>,
- node-babel-code-frame <!nocheck>,
+ node-babel7 <!nocheck>,
  node-chai <!nocheck>,
  node-chalk <!nocheck>,
  node-concat-stream <!nocheck>,
- node-cross-spawn <!nocheck>,
  node-dateformat <!nocheck>,
  node-debug <!nocheck>,
  node-doctrine <!nocheck>,
  node-ejs <!nocheck>,
  node-eslint-plugin-eslint-plugin <!nocheck>,
- node-eslint-plugin-node <!nocheck>,
+ node-eslint-plugin-node (>= 8.0.0~) <!nocheck>,
  node-eslint-scope <!nocheck>,
+ node-eslint-utils <!nocheck>,
  node-eslint-visitor-keys <!nocheck>,
  node-espree <!nocheck>,
  node-esprima <!nocheck>,
@@ -64,7 +64,6 @@
 Depends:
  node-ajv,
  node-concat-stream,
- node-cross-spawn,
  node-debug,
  node-doctrine,
  node-eslint-visitor-keys,
@@ -72,6 +71,7 @@
  node-espree,
  node-esquery,
  node-estraverse,
+ node-eslint-utils,
  node-esutils,
  node-file-entry-cache,
  node-functional-red-black-tree,
@@ -98,7 +98,7 @@
  node-strip-ansi,
  node-text-table,
 Suggests:
- node-babel-code-frame,
+ node-babel7,
  node-babel-eslint,
  node-table,
  node-esprima,
