=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# generate documentation unless nodoc requested
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
DOCS = README.html README.txt
CHANGELOGS = CHANGELOG.html CHANGELOG.txt
MANPAGES = debian-man/eslint.1
endif

# normalize output with TAP where possible unless terse requested
ESLINT = bin/eslint.js
MOCHA = mocha --no-timeout
ifeq (,$(filter terse,$(DEB_BUILD_OPTIONS)))
ESLINT += --format tap
MOCHA += --reporter tap
else
ESLINT += --format unix
MOCHA += --reporter dot --no-colors
endif

# same paths as "Makefile.js" TEST_FILES
TEST_FILES_MOCHA = $(strip \
 $(addsuffix /**/*.js,\
  $(shell find tests/lib -mindepth 1 -maxdepth 1 -type d) \
  tests/bin) \
 $(addsuffix /*.js,\
  tests/lib))
TEST_FILES_FIND = $(patsubst %/**/*.js,%,$(TEST_FILES_MOCHA))

# Work around missing node module "cheerio"
ESLINT_ISOLATE += tests/lib/formatters/html.js
MOCHA_SKIP += tests/lib/formatters/html.js

# Work around missing node module "table"
MOCHA_SKIP += tests/lib/formatters/table.js

# Work around missing node module "regexpp"
ESLINT_SKIP += \
 lib/rules/no-invalid-regexp.js \
 lib/rules/no-control-regex.js
ESLINT_ISOLATE += \
 lib/rules/no-misleading-character-class.js \
 lib/rules/prefer-named-capture-group.js
MOCHA_SKIP += \
 tests/lib/rules/no-control-regex.js \
 tests/lib/rules/no-invalid-regexp.js \
 tests/lib/rules/no-misleading-character-class.js \
 tests/lib/rules/prefer-named-capture-group.js

# Work around newer mocha choking: "TypeError: Cannot read property 'create' of undefined"
MOCHA_SKIP += \
 tests/lib/cli.js \
 tests/lib/cli-engine.js \
 tests/lib/util/source-code.js \

# Work around missing node module "eslint-rule-composer"
ESLINT_SKIP += tests/lib/code-path-analysis/code-path.js
MOCHA_SKIP += tools/internal-rules/multiline-comment-style.js

# Work around misc. breakage
MOCHA_ISOLATE += \
 tests/lib/config.js \
 tests/lib/config/config-file.js \
 tests/lib/config/config-initializer.js \
 tests/lib/formatters/codeframe.js \
 tests/lib/formatters/stylish.js \
 tests/lib/linter.js \
 tests/lib/util/glob-utils.js \
 tests/lib/util/ignored-paths.js \
 tests/lib/util/lint-result-cache.js \
 tests/lib/util/npm-utils.js \
 tests/lib/util/source-code-utils.js

# generate manpage with help2man from --help option of Node.js script
_mkman = NODE_PATH=lib \
 help2man $(patsubst %,--name %,$3) --no-info --output $2 $1 \
 || { NODE_PATH=lib $1 --help; false; }

override_dh_auto_build: $(DOCS) $(CHANGELOGS) $(MANPAGES)

# strip extension from executable
debian-man/eslint:
	mkdir --parents $(dir $@)
	cp --force bin/eslint.js $@

# build manpage
debian-man/eslint.1: %.1: %
	$(call _mkman, $<, $@, \
		AST-based pattern checker and linting utility for JavaScript)

# TODO: drop symlink when possible
override_dh_auto_test:
	ln --force --symbolic --no-target-directory internal-rules \
		tools/eslint-plugin-internal-rules
#	NODE_PATH=packages:tools $(ESLINT) --report-unused-disable-directives Makefile.js
#	find conf -type f -name '*.json' \
#		-exec jsonlint {} +
#	find docs -type f -name '*.md' \
#		-exec lintMarkdown {} +
	NODE_PATH=packages:tools $(strip find lib conf bin -type f -name '*.js' \
		$(patsubst %,-not -path '%',$(ESLINT_SKIP) $(ESLINT_ISOLATE)) \
		-exec $(ESLINT) --report-unused-disable-directives {} +)
	NODE_PATH=packages:tools $(strip find $(TEST_FILES_FIND) -type f -name '*.js' \
		$(patsubst %,-not -path '%',$(ESLINT_SKIP) $(ESLINT_ISOLATE)) \
		-exec $(ESLINT) --report-unused-disable-directives {} +)
	NODE_PATH=packages:tools $(ESLINT) --report-unused-disable-directives $(ESLINT_ISOLATE) | debian/tap-todo \
		'tests/lib/formatters/html.js$$::message: ."cheerio" is not found' \
		'lib/rules/(no-misleading-character-class|prefer-named-capture-group).js$$::message: ."regexpp" is not found'
	NODE_PATH=packages:tools $(MOCHA) $(MOCHA_ISOLATE) | debian/tap-todo \
		'^Config "before each" hook for "should not modify baseConfig when format is specified"$$' \
		'^Config "after each" hook for "should not modify baseConfig when format is specified"$$' \
		'^ConfigFile write\(\) "before each" hook for "should make sure js config files match linting rules"$$' \
		'^ConfigFile write\(\) "after each" hook for "should make sure js config files match linting rules"$$' \
		'^configInitializer "after each" hook for "should create default config"$$' \
		'^formatter:codeframe "before each" hook for "should return nothing"$$' \
		'^formatter:codeframe "after each" hook for "should return nothing"$$' \
		'^formatter:stylish "before each" hook for "should not return message"$$' \
		'^formatter:stylish "after each" hook for "should not return message"$$' \
		'^Linter "before each" hook for "should return same version as instance property"$$' \
		'^Linter "after each" hook for "should return same version as instance property"$$' \
		'^globUtils listFilesToProcess\(\) should return an ignored file, if ignore option is turned off$$' \
		'^IgnoredPaths contains should return false for files outside of the cwd \(with no ignore file provided\)$$' \
		'^IgnoredPaths getIgnoredFoldersGlobChecker should ignore default folders when there is no eslintignore file$$' \
		'^LintResultCache "before all" hook in "LintResultCache"$$' \
		'^npmUtils "before each" hook for "should not find a direct dependency of the project"$$' \
		'^npmUtils "after each" hook for "should not find a direct dependency of the project"$$' \
		'^SourceCodeUtil "after each" hook for "should handle single string filename arguments"$$'

# avoid installing stray config files
override_dh_install:
	dh_install -X.eslintrc.yml

override_dh_installdocs:
	dh_installdocs --all -- $(DOCS)

override_dh_installchangelogs:
	dh_installchangelogs -- $(CHANGELOGS)

# unset bogus executable bits
execute_after_dh_fixperms:
	chmod --recursive a-x,a+X -- debian/*/usr/share/nodejs
	chmod --recursive a+x -- debian/*/usr/share/nodejs/eslint/bin/*

override_dh_clean:
	dh_clean -- $(DOCS) $(CHANGELOGS)

%.html: %.md
	pandoc --from gfm-raw_html --to html --standalone --output $@ $<

%.txt: %.md
	pandoc --from gfm-raw_html --to plain --output $@ $<

%:
	dh $@
