=== debian/tests/control ===
--- 
+++ 
@@ -4,11 +4,30 @@
 Restrictions: superficial
 
 Test-Command:
+ ln --force --symbolic --no-target-directory internal-rules
+ tools/eslint-plugin-internal-rules &&
  NODE_PATH=tools
  find lib conf bin
  tests/lib/util tests/lib/config tests/lib/code-path-analysis tests/lib/formatters tests/lib/testers tests/lib/rules tests/bin tests/lib/*.js
  -type f -name '*.js'
+ -not -path lib/rules/no-invalid-regexp.js
+ -not -path lib/rules/no-control-regex.js
+ -not -path lib/rules/no-misleading-character-class.js
+ -not -path lib/rules/prefer-named-capture-group.js
  -not -path tests/lib/code-path-analysis/code-path.js
+ -not -path tests/lib/formatters/html.js
  -exec eslint --format tap --report-unused-disable-directives {} +
 Depends:
  eslint,
+ node-babel7,
+ node-chai,
+ node-eslint-plugin-eslint-plugin,
+ node-eslint-plugin-node,
+ node-inquirer,
+ node-leche,
+ node-mock-fs,
+ node-proxyquire,
+ node-shelljs,
+ node-sinon,
+ node-temp,
+ node-text-table,
