## eslint 5.16.0~dfsg+~4.16.8

=== debian/changelog ===
eslint (5.16.0~dfsg+~4.16.8-5) unstable; urgency=medium

  * add patch 1002 to use newer release of node module cheerio;
    closes: bug#980646, thanks to Lucas Nussbaum

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 06 Feb 2021 22:30:58 +0100

eslint (5.16.0~dfsg+~4.16.8-4) unstable; urgency=medium

  * fix generate unicode script in autopkgtest, and depend on nodejs

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 03 Jan 2021 00:29:38 +0100

eslint (5.16.0~dfsg+~4.16.8-3) unstable; urgency=medium

  * fix depend on node-types-estree node-types-json-schema

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jan 2021 05:46:27 +0100

eslint (5.16.0~dfsg+~4.16.8-2) unstable; urgency=medium

  * fix have autopkgtest explicitly depend on node-eslint-rule-composer

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 02 Jan 2021 01:15:28 +0100

eslint (5.16.0~dfsg+~4.16.8-1) unstable; urgency=medium

  * copyright: fix sort Files sections
  * build-depend on
    node-babel-core node-babel-loader node-babel-preset-env
    (not node-babel7);
    suggest node-babel-code-frame (not node-babel7)
  * declare compliance with Debian Policy 4.5.1
  * add file TODO listing pending packaging tasks,
    and their required missing Node.js dependencies
  * embed and install typescript types;
    provide virtual package node-types-eslint;
    build-depend on jq
  * update git-buildpackage settings:
    + use git branch debian/latest (not debian/sid)
  * generate unicode script during build
  * revive patch 2006 to avoid Nodejs module natural-compare;
    stop build-)depend on node-natural-compare
  * fix explicitly build-depend (not only depend) on lodash;
    fix annotate test-or-doc-only build-dependencies;
    fix build-depend explicitly on nodejs
  * fix have autopkgtest depend on recent node-babel-code-frame
    (not node-babel7 or older releases);
    properly closes: bug#960488
  * fix have autopkgtest depend on nodejs
  * update workarounds for failing tests;
    have autopkgtest depend on node-cheerio
  * drop patch 2004;
    build-depend on node-eslint-rule-composer
  * fix add version
    to provided virtual package node-eslint-config-eslint

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jan 2021 19:48:57 +0100

eslint (5.16.0~dfsg-8) unstable; urgency=medium

  * drop patch 2003 to avoid Nodejs module import-fresh;
    (build-)depend on node-import-fresh
  * drop patch 2002 to void Nodejs module regexpp;
    (build-)depend on node-regexpp
  * drop patch 2006 to avoid Nodejs module natural-compare;
    (build-)depend on node-natural-compare
  * build-depend on node-cheerio
  * update git-buildpackage settings:
    + use DEP-14 git branch names
  * unfuzz patch 2008
  * update workarounds for failing tests
  * fix support DEB_BUILD_OPTIONS=terse
  * modernize source script copyright-check
  * copyright: fix sort Files sections

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 14 Dec 2020 01:53:03 +0100
