=== debian/control ===
--- 
+++ 
@@ -7,44 +7,52 @@
 Build-Depends:
  debhelper-compat (= 13),
  help2man <!nodoc>,
+ jq,
  mocha <!nocheck>,
- node-ajv <!nocheck>,
- node-babel7 <!nocheck>,
+ node-ajv <!nocheck> <!nodoc>,
+ node-babel-core (>= 7) <!nocheck>,
+ node-babel-loader (>= 7) <!nocheck>,
+ node-babel-preset-env (>= 7) <!nocheck>,
  node-chai <!nocheck>,
  node-chalk <!nocheck>,
+ node-cheerio <!nocheck>,
  node-concat-stream <!nocheck>,
  node-dateformat <!nocheck>,
  node-debug <!nocheck>,
- node-doctrine <!nocheck>,
+ node-doctrine <!nocheck> <!nodoc>,
  node-ejs <!nocheck>,
  node-eslint-plugin-eslint-plugin <!nocheck>,
  node-eslint-plugin-node (>= 8.0.0~) <!nocheck>,
- node-eslint-scope <!nocheck>,
- node-eslint-utils <!nocheck>,
- node-eslint-visitor-keys <!nocheck>,
- node-espree <!nocheck>,
+ node-eslint-scope <!nocheck> <!nodoc>,
+ node-eslint-rule-composer <!nocheck>,
+ node-eslint-utils <!nocheck> <!nodoc>,
+ node-eslint-visitor-keys <!nocheck> <!nodoc>,
+ node-espree <!nocheck> <!nodoc>,
  node-esprima <!nocheck>,
- node-esquery <!nocheck>,
+ node-esquery <!nocheck> <!nodoc>,
  node-estraverse <!nocheck>,
- node-esutils <!nocheck>,
- node-file-entry-cache <!nocheck>,
- node-functional-red-black-tree <!nocheck>,
+ node-esutils <!nocheck> <!nodoc>,
+ node-file-entry-cache <!nocheck> <!nodoc>,
+ node-functional-red-black-tree <!nocheck> <!nodoc>,
  node-glob <!nocheck>,
- node-globals <!nocheck>,
- node-ignore <!nocheck>,
- node-imurmurhash <!nocheck>,
+ node-globals <!nocheck> <!nodoc>,
+ node-ignore <!nocheck> <!nodoc>,
+ node-import-fresh <!nocheck> <!nodoc>,
+ node-imurmurhash <!nocheck> <!nodoc>,
  node-inquirer <!nocheck>,
  node-js-yaml <!nocheck>,
  node-json-stable-stringify <!nocheck>,
  node-leche <!nocheck>,
  node-levn <!nocheck>,
- node-mkdirp <!nocheck>,
+ node-lodash <!nocheck> <!nodoc>,
+ node-mkdirp <!nocheck> <!nodoc>,
  node-mock-fs <!nocheck>,
- node-optionator <!nocheck>,
- node-path-is-inside <!nocheck>,
+ node-optionator <!nocheck> <!nodoc>,
+ node-path-is-inside <!nocheck> <!nodoc>,
  node-progress <!nocheck>,
  node-proxyquire <!nocheck>,
- node-regenerate-unicode-properties <!nocheck>,
+ node-regenerate-unicode-properties <!nocheck> <!nodoc>,
+ node-regexpp <!nocheck> <!nodoc>,
  node-semver <!nocheck>,
  node-shelljs <!nocheck>,
  node-sinon <!nocheck>,
@@ -52,8 +60,9 @@
  node-strip-json-comments <!nocheck>,
  node-text-table <!nocheck>,
  node-temp <!nocheck>,
+ nodejs,
  pandoc <!nodoc>,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://eslint.org/
 Vcs-Browser: https://salsa.debian.org/js-team/eslint
 Vcs-Git: https://salsa.debian.org/js-team/eslint.git
@@ -78,6 +87,7 @@
  node-glob,
  node-globals,
  nodejs,
+ node-import-fresh,
  node-imurmurhash,
  node-ignore,
  node-json-stable-stringify,
@@ -88,8 +98,11 @@
  node-path-is-inside,
  node-progress,
  node-regenerate-unicode-properties,
+ node-regexpp,
  node-semver,
  node-strip-json-comments,
+ node-types-estree,
+ node-types-json-schema,
  ${misc:Depends},
 Recommends:
  node-chalk,
@@ -98,14 +111,15 @@
  node-strip-ansi,
  node-text-table,
 Suggests:
- node-babel7,
+ node-babel-code-frame (>= 7),
  node-babel-eslint,
  node-table,
  node-esprima,
  node-esprima-fb,
 Provides:
  node-eslint (= ${source:Version}),
- node-eslint-config-eslint,
+ node-eslint-config-eslint (= ${config:Version}),
+ node-types-eslint (= ${types:Version}),
 Description: AST-based pattern checker for JavaScript
  ESLint is a tool for identifying and reporting on patterns
  found in ECMAScript/JavaScript code.
