=== debian/tests/control ===
Test-Command: node -e "require('eslint');"
Depends:
 node-eslint,
 nodejs,
Restrictions: superficial

Test-Command:
 set -e;
 node tools/update-unicode-utils.js;
 ln --force --symbolic --no-target-directory internal-rules
 tools/eslint-plugin-internal-rules;
 NODE_PATH=tools eslint --format tap --report-unused-disable-directives
 --ignore-pattern tests/lib/code-path-analysis/code-path.js
 lib conf bin tests/bin tests/lib tests/tools
Depends:
 eslint,
 node-babel-code-frame (>= 7),
 node-chai,
 node-cheerio,
 node-eslint-plugin-eslint-plugin,
 node-eslint-plugin-node,
 node-eslint-rule-composer,
 node-inquirer,
 node-leche,
 node-mock-fs,
 node-proxyquire,
 node-shelljs,
 node-sinon,
 node-temp,
 node-text-table,
 nodejs,
